#
# spec file for package qt3-non-mt (Version 3.2.1)
#
# Copyright (c) 2004 SUSE LINUX AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# neededforbuild  cups-devel cups-libs expat freetype2 freetype2-devel gpp gppshare libgpp libjpeg liblcms liblcms-devel libmng libmng-devel libpng-devel-packages mesa-devel-packages yacc
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-Mesa XFree86-Mesa-devel XFree86-devel XFree86-libs autoconf automake binutils cracklib cups-devel cups-libs expat fontconfig fontconfig-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg liblcms liblcms-devel libmng libmng-devel libpng libpng-devel libstdc++-devel libtool mesa mesaglut mesaglut-devel perl rpm yacc

Name:         qt3-non-mt
License:      GPL, QPL
Group:        Development/Libraries/KDE
Autoreqprov:  on
Version:      3.2.1
Release:      70
Requires:     qt3 = %version
Provides:     qt3:/usr/lib/libqt.so.3
Provides:     qt_library_%version
Summary:      Program Library for Developing Applications with Graphical User Interfaces
%define _unpackaged_files_terminate_build 0
%define x11_free -x11-free-
Source0:      qt%{x11_free}%version.tar.bz2
Source1:      build_script.sh
Patch2:       head.diff
Patch4:       qt3-never-strip.diff
Patch7:       revert-qclipboard-3.2.diff
Patch8:       fix-qmake.diff
Patch9:       qlinedit-3.2.1.diff
Patch10:      fix-mouse-move-events.diff
Patch11:      qt3-fix-rawmode.diff
Patch12:      qtrc-path.diff
Patch13:      lib64-silence.diff
Patch14:      font_fixes.diff
Patch15:      psprinter.diff
Patch16:      qtextengine_memleak.diff
Patch18:      no-rpath.dif
Patch19:      shut-up.diff
Patch20:      fix-sig11.diff
Patch26:      image-handling-fixes-from-3.3.3.diff
Patch27:      xpm-handling-fixes.diff
Patch29:      fix-gif-handler.diff
Patch64:      qt3-lib64.diff
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
Qt is a program library for developing applications with graphical user
interfaces. It allows you to rapidly develop professional programs. The
Qt library is available for Linux, a great number of Unixes, and even
for Windows. It is possible to write programs that can be easily ported
to those platforms with Qt.

See /usr/share/doc/packages/qt3 for details about the new features of
the current Qt library!



Authors:
--------
    Troll Tech AS, Norway

%define build_sub_dirs src plugins/src
%prep
%setup -n qt%{x11_free}%version
%patch2
%patch4
%patch7
%patch8
%patch9
%patch10
%patch11
%patch12
%patch13
%patch18
%patch19
%patch16
%if %suse_version > 820
#%patch5
#%patch6
%patch14
%patch15
%patch20
%endif
%patch26
%patch27
%patch29
if [ %_lib = lib64 ]; then
%patch64 -p1
fi

%build
export WLIB=%_lib
export VERSION=%suse_version
source %{SOURCE1} %{version}
export QTDIR=`pwd`
#
# call configure from build_script.sh for non-threaded Qt library
#
call_configure -no-thread -shared -no-sql-mysql -no-sql-psql -no-sql-odbc
for i in %build_sub_dirs ; do
 cd $i
 make
 cd -
done

%install
export WLIB=%_lib
export VERSION=%suse_version
source %{SOURCE1}
post_install $RPM_BUILD_ROOT/usr/lib/qt3/
if [ %_lib = lib64 ]; then
 export PLUGIN_EXTENSION=".lib64-non-mt"
else
 export PLUGIN_EXTENSION=".non-mt"
fi
for i in %build_sub_dirs ; do
 cd $i
 make INSTALL_ROOT=$RPM_BUILD_ROOT install
 cd -
done
for i in $RPM_BUILD_ROOT/usr/lib/qt3/plugins/*/*.so; do
   mv "$i" "${i%.so}$PLUGIN_EXTENSION.so"
done
#
# create links in ld.so.conf path
#
install -d -m 0755 ${RPM_BUILD_ROOT}/%{_libdir}
ln -sf ../lib/qt3/%{_lib}/libqt.so.3     ${RPM_BUILD_ROOT}/%{_libdir}/libqt.so.3

%pre
if test -L usr/lib/qt3; then
  rm usr/lib/qt3
fi

%post
%run_ldconfig

%files
%defattr(-,root,root)
/%{_libdir}/libqt.so.3
%dir /usr/lib/qt3
%dir /usr/lib/qt3/%{_lib}
%dir /usr/lib/qt3/%{_lib}/pkgconfig
/usr/lib/qt3/%{_lib}/libqt.so*
/usr/lib/qt3/%{_lib}/libqt.prl
/usr/lib/qt3/%{_lib}/pkgconfig/qt.pc
%dir /usr/lib/qt3/plugins
/usr/lib/qt3/plugins/imageformats

%changelog -n qt3-non-mt
* Thu Aug 12 2004 - adrian@suse.de
- fixes for handling of broken images (#43356)
* Wed Oct 29 2003 - adrian@suse.de
- some crash fixes for some font handling, esp with with WorldMatrix
  ( #32247 )
- crash fix for some broken fonts ( #30610 )
* Fri Sep 19 2003 - adrian@suse.de
- memory leak fix from Lars in QTextEngine
* Thu Sep 18 2003 - adrian@suse.de
- updated patches from Lars
  * fixing Unicode families and foundaries issues
  * printing issues
- clean up unused patches
* Wed Sep 17 2003 - adrian@suse.de
- a bit more silence .. QPixmap before QApplication warning is away
- new asian font mappings from mfabian
* Mon Sep 15 2003 - adrian@suse.de
- new font fixes from Lars, the default size problem should be away
- fix build for non-Xft2 distibutions
* Thu Sep 11 2003 - adrian@suse.de
- silence on lib64 systems with 32bit plugins installed (#30559)
* Mon Sep 08 2003 - coolo@suse.de
- apply fix from TT to fix konsole + setRawName
* Wed Sep 03 2003 - adrian@suse.de
- apply fix from TT: "don't generate bogus mouse move events."
* Mon Sep 01 2003 - adrian@suse.de
- apply qlineedit fix from TT
* Fri Aug 29 2003 - adrian@suse.de
- use newer font_fixes patch from Lars
- enforce usage of Xft2 even on non-Xrender displays
- revert qclipboard changes to 3.1.2 code
* Wed Aug 27 2003 - adrian@suse.de
- use official 3.2.1 tar ball instead of 3.2.0+patch
* Tue Aug 26 2003 - adrian@suse.de
- new _big_ fix from Lars for fixing the remaining font issues
* Sun Aug 24 2003 - adrian@suse.de
- apply fix from Lars for the foundary font problem, when
  using pixmap fonts via Xft2. This makes the freetype2
  foundary-family patch obsolete from qt view.
* Sat Aug 23 2003 - adrian@suse.de
- apply 3.2.1 patch, until the official tar ball arrives
* Wed Jul 23 2003 - adrian@suse.de
- update to version 3.2.0 final
* Thu Jul 17 2003 - adrian@suse.de
- fix .la files after build
* Tue Jul 15 2003 - adrian@suse.de
- update to 3.2.0 beta 2
- remove obsolete patches
* Sun Jun 15 2003 - coolo@suse.de
- never strip explicitly
- always build with -release to avoid debug output even with -g
* Fri Jun 13 2003 - coolo@suse.de
- package directories
* Fri May 23 2003 - adrian@suse.de
- let it build again
* Sun May 18 2003 - adrian@suse.de
- update to version 3.2 beta 1
- big patch clean up
- use largefile support api for > 8.2
* Thu Apr 10 2003 - coolo@suse.de
- fixing long font names as returned by font-config
* Sat Apr 05 2003 - adrian@suse.de
- fix build with new coreutils
* Fri Mar 21 2003 - adrian@suse.de
- update to version 3.1.2 and remove obsolete patches
* Tue Mar 11 2003 - coolo@suse.de
- fixing the fix
* Tue Mar 11 2003 - coolo@suse.de
- applied patch by TT to fix kmail folder selection
  (#24519 - also known as kde bug #48888)
* Fri Mar 07 2003 - adrian@suse.de
- do not use XListFonts, if X server supports Xft on >8.1 (Xft2)
* Mon Feb 03 2003 - adrian@suse.de
- fix missing symbols in libqt*
* Sun Jan 26 2003 - adrian@suse.de
- prefix=/usr/lib/qt3
  (third party apps installing translations into $QTDIR now)
- modify qdesktopwidget resize patch to be BC with Qt 3.2
- comment out non-official api extensions
- remove private headers tar ball again
  (qsa beta2 contains them)
- fix qtrc enviroment patch
- hardcode qt settings dir to /etc/X11 (no need for $QTDIR/etc/settings anymore)
- enable all designer plugins
* Thu Jan 23 2003 - adrian@suse.de
- add xrandr extension from Qt 3.2
- add resize event to qdesktopwidget (patch from Lubos)
- compile codecs as plugins
* Thu Jan 09 2003 - adrian@suse.de
- fix some more qmake.conf entries
  (esp. pathes to lib64 directories and flags based on $RPM_OPT_FLAGS)
* Fri Dec 27 2002 - adrian@suse.de
- several small changes/fixes/workarounds to be able to compile qsa
  (they will be changed in 3.1.2)
* Tue Dec 17 2002 - adrian@suse.de
- update to version 3.1.1 and cleanup patches
* Thu Nov 28 2002 - adrian@suse.de
- add qprinter fix from Lars
* Wed Nov 27 2002 - ro@suse.de
- added expat to neededforbuild
* Sat Nov 23 2002 - adrian@suse.de
- use Xft2 from XFree package now for > SuSE 8.1
  (experimental fontconfig package is dropped)
- build qt3-non-mt with extra spec file now
- fix korean [Font Substitutions] (#19575)
- fix broken qmake debug defaults (#21891)
- fix requires of database plugin packages
* Fri Nov 15 2002 - adrian@suse.de
- update to 3.1.0 final version
- apply qwidget/hideChildren patch from Harri
- move libqui into qt3 main package
* Tue Nov 05 2002 - adrian@suse.de
- package also missing mkspecs/*
* Sun Nov 03 2002 - adrian@suse.de
- update to post 3.1 beta 2 snapshot (rc1 or rc2 ?)
- big rework of spec file, lots of workarounds are not needed anymore :)
- use experimental fontconfig/Xft2 package for > 8.1
- enable nis & cups support
* Mon Oct 21 2002 - adrian@suse.de
- swab %%ifarch <> %%if for old broken rpm's
* Mon Oct 21 2002 - adrian@suse.de
- remove rpath again, which came back with 3.0.5 update (#20929)
- disable qDebug lines in chinese patch (#20959)
* Wed Oct 09 2002 - adrian@suse.de
- implement a blacklist of executables which should not use
  the fast malloc implementation. (python and perl atm)
- disable fast-malloc for >8.1
- enable fast-malloc for x86_64
* Fri Sep 20 2002 - adrian@suse.de
- qclipboard fix from Lubos. Copy from old X applications works again
* Mon Sep 16 2002 - adrian@suse.de
- replace qt3-gb18030.diff patch with the new patch from
  James Su<suzhe@turbolinux.com.cn> for chinese handling (#19399)
- set XIMInputStyle for japanese input (#19387)
- change Requires: from /usr/include/png.h to libpng-devel, since
  connectivas apt can not handle this.
* Fri Aug 30 2002 - adrian@suse.de
- remove the dlopen patch again. It is not needed anymore and may
  cause crashes in rare cases.
* Wed Aug 28 2002 - adrian@suse.de
- apply fix from Lubos for DND in kcontrol
- apply fix to fix gb18030 encoding (from Turbolinux China)
* Mon Aug 26 2002 - adrian@suse.de
- do not use -plugindir configure option anymore. it caused the
  broken plugin support and remov $QTDIR/plugins again from qtrc
  qtrc is also a (noreplace) config file again
- s,getenv,__secure_getenv, as suggested by okir in plugin_path.dif
* Thu Aug 22 2002 - adrian@suse.de
- add patch to set the qt settings dir to a non-default dir
- add patches from qt 3.0.6 to fix asian copy&paste problems
- set explicit plugin pathes in qtrc and replace them during update
  (this is only a workaround until I know why qt does not use the
  compiled path)
* Thu Aug 22 2002 - adrian@suse.de
- remove dangeling symlink in /usr/lib/qt3/mkspecs/linux-g++
- add plugin path to global qtrc
* Tue Aug 20 2002 - adrian@suse.de
- fix #defines
* Tue Aug 20 2002 - adrian@suse.de
- redo the plugin path patch again, we use now a implicit
  subdirectory like "lib64", if needed.
- qtconfig is patched to hide/not write back those entries
* Fri Aug 16 2002 - coolo@suse.de
- fixing the patches
* Fri Aug 16 2002 - coolo@suse.de
- applying the plugin path patches, so they actually do something
  on lib64 platforms
* Fri Aug 09 2002 - adrian@suse.de
- fix plugin installation
* Thu Aug 08 2002 - adrian@suse.de
- use %%suse_version macro instead of /etc/SuSE-release
* Fri Aug 02 2002 - coolo@suse.de
- shut up if passed -noxim is passed and xim doesn't work
* Tue Jul 30 2002 - adrian@suse.de
- disable pre-3.0.6 patches again, until focus problem is located
- add zlib-devel to Requires for qt3-devel and SuSE 8.1
- add %%run_ldconfig
* Mon Jul 29 2002 - adrian@suse.de
- apply shut-up.dif
- clean up neededforbuild
* Fri Jul 26 2002 - adrian@suse.de
- port Lea's fast malloc implementation to libqt-mt
- designer sig11 fixes are not needed anymore
- use some patches from qt-rsync
* Fri Jul 19 2002 - adrian@suse.de
- fix designer sig11 really
- kick warnings about unsuccesfull locks for non-root users
* Thu Jul 18 2002 - adrian@suse.de
- don't strip when in debug mode
- fix typo in build script
* Wed Jul 17 2002 - adrian@suse.de
- update to 3.0.5 final
  * lots of bugfixes, see changes-3.0.5 for details
  * new, binary incompatible plugin system
- fix sig11 in designer
- clean spec file, drop all not applied patches
* Thu Jul 11 2002 - coolo@suse.de
- reenable work around for transparenent images while printing
  (PR16188)
* Wed Jul 10 2002 - adrian@suse.de
- update to near 3.0.5-final snapshot 3.0.5-snapshot-20020710
* Fri Jul 05 2002 - adrian@suse.de
- fix -g detection during build
* Fri Jun 21 2002 - adrian@suse.de
- fix use of $RPM_OPT_FLAGS (broken since 3.0.4 update)
- use -mminimal-toc on ppc64 to workaround compiler bug atm
- update to pre-3.0.5 snapshot-20020620
  * use buildkey for plugins instead of our own plugin hack
  * lots of fixes (exact description in changes-3.0.5)
- add lib64 to build key, if needed
- remove obsolete patches
* Thu Jun 06 2002 - adrian@suse.de
- rework plugin path patch for distributions > 8.0
  change name of "plugins" directory instead of filenames
  * plugins              -- lib32 and multithreaded plugins
  * plugins-non-mt       -- lib32 and without multithread support
  * plugins-lib64        -- lib64 and multithreaded plugins
  * plugins-lib64-non-mt -- lib64 and without multithread support
* Thu May 30 2002 - adrian@suse.de
- disable style-plugins again (too much qt apps have problems)
- disable Xft/Xrender support also for SuSE 7.3 (XFree 4.1.0)
  (no one reads READMES and too many people had crashes)
* Tue May 28 2002 - adrian@suse.de
- fix %%files
* Mon May 27 2002 - adrian@suse.de
- move qconfig, qmake to qt3-devel-tools
- build styles as plugin (except our default style: Platinum)
* Mon May 27 2002 - ro@suse.de
- lib64: fix qtmake.conf: QTLIBDIR also has the trailing "64"
- fix build-script for lib64 issues
* Mon May 20 2002 - adrian@suse.de
- fix build (disable odbc during qt3.spec build)
* Mon May 20 2002 - adrian@suse.de
- enable -tablet support if XFree86 provides it
- compile with -debug mode, if -g is set in enviroment
- fix postgres plugin build
- enable unixODBC support for newer distributions
- split sql drivers to extra packages
- fix dlopen call
* Tue May 14 2002 - adrian@suse.de
- fix lib64 patch to find OpenGL libs
* Thu May 09 2002 - adrian@suse.de
- apply fix for NetAccess focus, insertTitle(), QTextEdit and
  QToolbar from qt-copy
* Wed May 08 2002 - coolo@suse.de
- fixing patch section (grr)
* Tue May 07 2002 - coolo@suse.de
- adding fix for x86_64
* Tue May 07 2002 - coolo@suse.de
- update to qt 3.0.4 - remove fixes that do
  not apply any longer
- disable asian patches as they do not apply
  and I don't want to split them as I have no
  idea if the problems they try to fix are still
  there
* Wed Apr 24 2002 - coolo@suse.de
- fix lib64 support
- fix asian patch not to use arrays in unused arrays
  (triggers compiler problem)
* Sun Apr 21 2002 - adrian@suse.de
- improve image rendering speed (patch by Lubos)
* Tue Apr 09 2002 - adrian@suse.de
- apply patch from Lubos to fix alpha channel in QMovie
* Fri Apr 05 2002 - adrian@suse.de
- fixed print support in qpsprint
- binary compatibility fixes by Lars for gbk encoding
* Wed Apr 03 2002 - adrian@suse.de
- apply fixes/extensions for asian/utf-8-based languages
  (assembled by Lars and Brad, thank you, verifed by mfabian)
- 64bit fixes from Andreas Schwab (const char*) null pointer casts
* Sun Mar 24 2002 - adrian@suse.de
- apply qtabbar fix. Fixes crashes with kcm modules.
* Fri Mar 22 2002 - adrian@suse.de
- apply fix for sig11 in QCommonStyle (made by Waldo/Trolltech)
- apply fix to use libpng instead of libmng to load pngs (by coolo)
- add missing Requires for qt3-devel
* Wed Mar 20 2002 - adrian@suse.de
- verify 3.0.3 final version
- add check for null pointer returned by libXft
  (fix sig11 when no Xft fonts are configured)
- fix scrollbar behaviour for QT Platinum style
  (we are X Windows compatible instead of MS Windows)
* Tue Mar 19 2002 - adrian@suse.de
- update to version 3.0.3
  (rc6 tar ball from troll, I have to check after the qt-3.0.3 release,
  if this is really qt-3.0.3 final)
* Tue Mar 12 2002 - adrian@suse.de
- update to pre 3.0.3 snapshot (3.0.2.20020312)
* Mon Mar 04 2002 - adrian@suse.de
- more fixes
  * fix auto-resizing with QMovie
  * fix to correctly open submenues in right to left layout
  * reduce number of mallocs by sharing QColorGroup
  * Simplified static cleanup handlers.
  * smarter tooltip placement
- require "c++_compiler" for distributions newer than 7.3 only
* Sun Mar 03 2002 - adrian@suse.de
- apply some fixes from qt-copy
  * 8 bit color depth image format fixes
  * spinbox flicker fix
  * qrichtext dangeling pointers fix
  * qmenubar right to left layout mode cursor navigation fix
  * qcombobox avoid emitting highlighted twice on keyPressEvent
* Mon Feb 25 2002 - adrian@suse.de
- update to version 3.0.2
- remove compile fixes
- fix symlink for qtconfig
* Thu Feb 14 2002 - adrian@suse.de
- fix Requires for qt3-devel (add g++ compiler)
* Tue Feb 12 2002 - adrian@suse.de
- fix build for lib64/s390x
* Wed Feb 06 2002 - adrian@suse.de
- add links in /usr/bin for qtconfig
* Sun Feb 03 2002 - adrian@suse.de
- fix dumb-packager-bug (s,%%fi,%%endif,)
* Sun Feb 03 2002 - adrian@suse.de
- compile fix for postrgres module
- extend plugin patch to work on s390x and sparc64 to work with
  lib64 plugins
- add %%{_libdir}/qt3 symlink for s390x and sparc64
* Sat Feb 02 2002 - ro@suse.de
- cleaned changes file
* Fri Feb 01 2002 - adrian@suse.de
- update to current qt-copy snapshot (needed for KDE 3.0 beta 2)
- make threaded plugins as usual again
- non-threaded plugins needs now the not compatible -non-mt.so
  suffix
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Tue Jan 29 2002 - adrian@suse.de
- enable AA for SuSE > 7.3
* Tue Jan 29 2002 - schwab@suse.de
- Fix use of varargs on 64 bit platforms.
* Wed Jan 23 2002 - adrian@suse.de
- patch plugin loader to load only plugins with -mt.so
  extension
- link direct against libpng
- move qt3.conf file to susehelp
- TODO: make plugin loader path depending on %%_libdir
* Tue Jan 22 2002 - adrian@suse.de
- enable Xrender/Xft again for SuSE 7.3
  (I was misleaded by a broken libXft :/ )
- using qt plugin mechanism for picture format support
- enable XRender by default, but leave Xft disabled by default
  (kcontrol can switch Xft on for KDE applications now)
- add additional include path for postgres 7.2b5
* Mon Jan 21 2002 - adrian@suse.de
- disable Xft for all distributions until 7.3
  (XFree 4.2 is needed)
- sync QClipboard fix from qt-copy
* Tue Jan 08 2002 - adrian@suse.de
- fix Requires
- disable rpath
* Sun Jan 06 2002 - adrian@suse.de
- split non multithreaded librarys into qt3-non-mt package
- split developer tutorial into qt3-tutorial package
- use common config script to prepare build
- move libs to /usr/lib/qt3/%%{_libdir}
- remove .prl files from file list again
* Thu Jan 03 2002 - adrian@suse.de
- rename qt3-designer subpackage to qt3-devel-tools
- add default qtrc file
  * disable Xft support by default
  * use Platinum style
  * set qt plugin path
- move qtconfig to qt base package
- apply fixes from qt-copy/KDE-cvs
* Thu Dec 13 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS during compile
- add missing .prl files to file list
* Wed Dec 12 2001 - adrian@suse.de
- update to version 3.0.1
- build all extra tools
- fix default mkspec symlink
- include examples to devel-doc package
* Thu Nov 08 2001 - ro@suse.de
- use mesa-devel-packages in neededforbuild
* Tue Oct 16 2001 - adrian@suse.de
- fix hardcoded install dir in libqt
  (no $QTDIR is needed at runtime anymore)
* Mon Oct 15 2001 - adrian@suse.de
- update to QT 3.0.0 final
  (the KDE 3 battle begins :)
* Fri Oct 05 2001 - adrian@suse.de
- add missing header files
- cleanup workarounds in spec file and add some new (but less ;)
* Mon Oct 01 2001 - adrian@suse.de
- update to beta6
* Tue Sep 18 2001 - adrian@suse.de
- update to beta5
* Wed Sep 05 2001 - adrian@suse.de
- okay, my last try ... cp -f has different return values on the
  distributions :(
* Tue Sep 04 2001 - adrian@suse.de
- disable postgres support for old distributions
  (now it also builds with SuSE 6.4)
* Mon Sep 03 2001 - adrian@suse.de
- fix broken links in include path
* Sun Sep 02 2001 - adrian@suse.de
- workaround bugs in Makefile to install all needed files
- remove -j4 behind make
* Tue Jun 19 2001 - adrian@suse.de
- split documentation from qt3-devel to qt3-doc
* Fri May 25 2001 - adrian@suse.de
- first try with QT 3.0.0 beta 1
  ( this package is far away from being perfect )
* Sun May 06 2001 - adrian@suse.de
- apply XftGlyph fix for qfont_x11.cpp from Keith Packard
- fix build for distributions before 7.1
* Fri May 04 2001 - adrian@suse.de
- add fix for buffer overflow on qfont_x11 and some minor glitches
  in qt-png
- qt-experimental is dropped, since we can enable AA in qt now.
* Fri Apr 27 2001 - adrian@suse.de
- switch BuildIndex for SuSEhelp to false by default
* Mon Apr 23 2001 - adrian@suse.de
- using -DNO_DEBUG
- apply latin9 patch from mls@suse.de
* Wed Apr 04 2001 - mfabian@suse.de
- add /etc/qt.fontguess (config file for Japanese and Korean
  fonts)
* Wed Mar 21 2001 - adrian@suse.de
- disable AA by default (still to many problems)
* Sun Mar 18 2001 - adrian@suse.de
- reenable qt-experimental for SuSE distribution < 7.2
  disable opengl module for these distris in this package
* Sat Mar 17 2001 - adrian@suse.de
- update to QT 2.3.0
  this makes qt-experimental obsolete
  (maybe still some problems with the nvidia driver, but the nv
  should work fine and the users are warned about nvidia since
  SuSE 7.1)
* Sun Mar 11 2001 - mfabian@suse.de
- fix spec-file to make it build with "rpm -ba"
* Fri Feb 09 2001 - adrian@suse.de
- use $RPM_OPT_FLAGS
  drop signed char patch
* Sat Feb 03 2001 - adrian@suse.de
- update to QT 2.2.4
  qt-static is an own package and no sub packages anymore
  fix/patch for qprintdialog is no longer needed
  add fix from Andreas Schwab for 64bit platforms
* Fri Jan 19 2001 - adrian@suse.de
- swap link and directory of html documentation. This makes
  trouble during update from older distributions
* Sat Jan 13 2001 - adrian@suse.de
- remove not necessary susehelp/htdig conf file
  remove file conflicts between qt-devel and qt-experimental
* Thu Jan 04 2001 - adrian@suse.de
- added qt-experimental,qt-japanese,qt-korean to Obsoletes:
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
  fix qrichtext (Thanks Stefan)
* Wed Jan 03 2001 - adrian@suse.de
- fix qprintdialog
* Mon Jan 01 2001 - adrian@suse.de
- spec file fix
* Sun Dec 31 2000 - adrian@suse.de
- added small tools to qt-devel (thanks Dirk)
* Fri Dec 22 2000 - adrian@suse.de
- remove asian patches from qt-experimental
* Wed Dec 20 2000 - adrian@suse.de
- fixe type in package name
* Wed Dec 20 2000 - adrian@suse.de
- move docu from qtlib2 to qt
* Sat Dec 16 2000 - adrian@suse.de
- initial package. support for font anti aliasing has been added
  Also OpenGL module is active
* Thu Dec 14 2000 - adrian@suse.de
- update to 2.2.3 and remove all the unneeded fix patches.
  added SuSE help conf files to qt-devel
* Tue Dec 12 2000 - schwab@suse.de
- Build with -O0 on ia64.
* Fri Dec 01 2000 - adrian@suse.de
- added rpath for uic/kdelibs and fixed uic fix ..
  to drunk to drink more
* Thu Nov 30 2000 - adrian@suse.de
- fixed dif
* Thu Nov 30 2000 - adrian@suse.de
- added fix for uic and qiconview
* Wed Nov 29 2000 - adrian@suse.de
- fixed build on ppc
* Tue Nov 21 2000 - ro@suse.de
- spec fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Mon Nov 13 2000 - adrian@suse.de
- new version 2.2.2
  added qpngio fix from waldo
* Fri Nov 10 2000 - adrian@suse.de
- fixed static config for <6.4 distris (no libmng)
* Tue Oct 31 2000 - adrian@suse.de
- split the qt package in
  qt
  qt-devel
  qt-extensions
  qt-man
  qt-static
  Added an ugly patch to get an uic with KDE support. The designer
  is broken in this package after this patch, so it is not packaged.
  The designer can be found in the qt-designer package
* Tue Oct 17 2000 - adrian@suse.de
- switch to -O0 for ppc
* Sat Oct 14 2000 - adrian@suse.de
- drop OpenGL support. Problems with Nvidia's binary only driver
- added fix from waldo (fixing memory leak in qpngio)
* Mon Oct 09 2000 - adrian@suse.de
- update the tar archiv (which contains a corrected classes.html file)
* Fri Oct 06 2000 - adrian@suse.de
- update to 2.2.1
  added static libs for libqt and libqt-mt
  added support for libmng
* Mon Oct 02 2000 - adrian@suse.de
- added missing header files
* Tue Sep 19 2000 - adrian@suse.de
- switch to -O0 for axp
* Fri Sep 08 2000 - schwab@suse.de
- Update ia64 configuration.
* Fri Sep 08 2000 - adrian@suse.de
- added missing libqt-mt.so
  clean up in filelist
  changed copyright/license to GPL
* Thu Sep 07 2000 - adrian@suse.de
- update to qt 2.2.0 final
* Tue Aug 22 2000 - adrian@suse.de
- removed uic/moc bindings to libGL and other
* Fri Aug 18 2000 - adrian@suse.de
- update to qt 2.2.0 beta 2
  spec file rewritten
* Tue Jul 04 2000 - adrian@suse.de
- moved links from /usr/lib/qt/lib to /usr/lib/
* Thu Jun 22 2000 - adrian@suse.de
- add libqt.so.2 links in /usr/lib/qt/lib
* Fri Jun 16 2000 - adrian@suse.de
- moved libqt.so back to qtlib2, after religios war.
* Fri Jun 16 2000 - adrian@suse.de
- enable gif support again
* Fri Jun 16 2000 - adrian@suse.de
- moved static libs to qtdevel2
* Tue Jun 06 2000 - schwab@suse.de
- Reduce opt level on ia64.
* Tue Jun 06 2000 - adrian@suse.de
- fixed dependencies
* Tue May 30 2000 - adrian@suse.de
- readded mesadev in neededforbuild
* Tue May 30 2000 - adrian@suse.de
- update to 2.1.1
* Wed May 24 2000 - adrian@suse.de
- added mesadev in neededforbuild
  removed gif support (license issue)
* Tue May 16 2000 - adrian@suse.de
- added -fno-exception (smaller binaries)
* Fri May 12 2000 - adrian@suse.de
- fixed link  /usr/doc/packages/html
  using %%{_defaultdocdir}
  using %%{_mandir}
* Fri Apr 14 2000 - adrian@suse.de
- update to 2.1.0 final
  new package for all man pages
* Thu Apr 06 2000 - adrian@suse.de
- update to 2.1.0 beta 4
* Thu Mar 30 2000 - adrian@suse.de
- update to qtlib 2.1.0 beta 3
  the destination directory is not longer /usr/lib/qt !!!
  QTDIR=/usr/lib/qt-2.1.0
  There is also a link /usr/lib/qt2 to /usr/lib/qt-2.1.0
* Thu Mar 02 2000 - ro@suse.de
- removed obsolete part of patch
* Thu Mar 02 2000 - ro@suse.de
- configure doesn't know --mandir ... :(
* Thu Mar 02 2000 - ro@suse.de
- work-around for prepare-spec buglet
* Wed Mar 01 2000 - ro@suse.de
- man to /usr/share using macro
* Tue Feb 29 2000 - kettner@suse.de
- Apply patch for qfont_x11.cpp from warwick@warwick-bippy
* Mon Feb 28 2000 - kettner@suse.de
- increased font cache from 4MB to 9MB in order to
  speed up UNICODE fonts for YaST2
* Thu Nov 11 1999 - uli@suse.de
- removed netscape from neededforbuild
* Tue Nov 09 1999 - kettner@suse.de
- Removed mesa from Requires, as it is not required
* Fri Oct 22 1999 - kettner@suse.de
- Patch extensions/imageio/src/Makefile.in in order to get
  shared library of libimgio again. Worked in 2.00.
* Mon Oct 11 1999 - kettner@suse.de
- New version 2.0.2
* Tue Sep 28 1999 - uli@suse.de
- switched from Motif to lesstif
* Mon Sep 27 1999 - bs@suse.de
- fixed requirements for sub packages
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Jul 14 1999 - kettner@suse.de
- New version 2.00
* Tue Jul 13 1999 - kettner@suse.de
- New version 2.00
* Mon Jul 12 1999 - kettner@suse.de
- New version 2.00
